//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "animation.h"

const Frame allFrames[39] = {

		{G_jarlac_salto1, 2},
		{G_jarlac_salto2, 255},
		{G_jarlac_parado1, 4},
		{G_jarlac_parado2, 4},
		{G_jarlac_anda1, 2},
		{G_jarlac_anda2, 2},
		{G_jarlac_anda3, 2},
		{G_jarlac_ataca1, 3},
		{G_jarlac_ataca2, 4},
		{G_arana_drch1, 2},
		{G_arana_drch2, 2},
		{G_esqueleto1, 2},
		{G_esqueleto2, 2},
		{G_lava1, 4},
		{G_lava2, 4},
		{G_esqueleto_ataca1, 3},
		{G_esqueleto_ataca2, 3},
		{G_corazon, 4},
		{G_platform, 255},
		{G_mago, 255},
		{G_brazo1, 2},
		{G_brazo2, 2},
		{G_brazo3, 2},
		{G_bola1, 2},
		{G_bola2, 2},
		{G_agua1, 2},
		{G_agua2, 2},
		{G_daga1, 2},
		{G_daga2, 2},
		{G_volador1, 2},
		{G_volador2, 2},
		{G_chochona1, 1},
		{G_chochona2, 1},
		{G_vapor1, 2},
		{G_vapor2, 2},
		{G_vapor3, 2},
		{G_corazon_piedra, 255},
		{G_corazon_petit, 2},
		{G_topo, 255}

};

Frame* const A_heroPreJump[2]		= { &allFrames[0], 0 };
Frame* const A_heroJump[2]			= { &allFrames[1], 0 };
Frame* const A_heroStand[3]	 		= { &allFrames[2], &allFrames[3], 0 };
Frame* const A_heroWalk[5]	 		= { &allFrames[4], &allFrames[5], &allFrames[6], &allFrames[5], 0 };
Frame* const A_heroAtack[3]	 		= { &allFrames[7], &allFrames[8], 0 };
Frame* const A_aranaWalk[3] 		= { &allFrames[9], &allFrames[10], 0 };
Frame* const A_esqueletoWait[2] 	= { &allFrames[11], 0 };
Frame* const A_esqueletoWalk[3] 	= { &allFrames[11], &allFrames[12], 0 };
Frame* const A_lava[3] 				= { &allFrames[13], &allFrames[14], 0 };
Frame* const A_esqueletoAtack[3]   	= { &allFrames[15], &allFrames[16], 0 };
Frame* const A_esqueletoDispara[3] 	= { &allFrames[15], &allFrames[16], 0 };
Frame* const A_corazon[3] 			= { &allFrames[17], &allFrames[37], 0 };
Frame* const A_platform[2] 			= { &allFrames[18], 0 };
Frame* const A_mago[2] 				= { &allFrames[19], 0 };
Frame* const A_brazo[4] 			= { &allFrames[20], &allFrames[21], &allFrames[22], 0 };
Frame* const A_mano[2] 				= { &allFrames[20], 0 };
Frame* const A_bola[3] 				= { &allFrames[23], &allFrames[24], 0 };
Frame* const A_agua[3] 				= { &allFrames[25], &allFrames[26], 0 };
Frame* const A_daga[3] 				= { &allFrames[27], &allFrames[28], 0 };
Frame* const A_volador[3]			= { &allFrames[29], &allFrames[30], 0 };
Frame* const A_chochona1[2]			= { &allFrames[31], 0 };
Frame* const A_chochona2[2]			= { &allFrames[32], 0 };
Frame* const A_vapor[4]				= { &allFrames[33], &allFrames[34], &allFrames[35], 0 };
Frame* const A_corazon_piedra[2] 	= { &allFrames[36], 0 };
Frame* const A_topo[2] 				= { &allFrames[38], 0 };

void animate(Entity* entity){

	Animation* animation = &entity->animation;
	Frame* frame = animation->frames[animation->frame];

	if(--animation->cycles == 0){

		animation->frame++;

		frame = animation->frames[animation->frame];

		if(!frame){

			frame = animation->frames[0];
			animation->frame = 0;

			entity->finishedAnimation = TRUE;

		}

		animation->cycles = frame->cycles;

	}
	else if(animation->cycles == 1) entity->finishedAnimation = !animation->frames[animation->frame + 1];

}

void setAnimation(Entity *entity, Frame **frames) {

	if (entity->animation.frames 	!= frames) {
		entity->animation.frames 	= frames;
		entity->animation.frame 	= 0;
		entity->animation.cycles 	= frames[0]->cycles;
		entity->finishedAnimation 	= FALSE;
	}

}
