//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _ANIMATION_H_
#define _ANIMATION_H_

#include <cpctelera.h>
#include "../entities/types.h"
#include "../sprites/sprites.h"
#include "../exomizer/exomizer.h"

void animate(Entity* entity);
void setAnimation(Entity *entity, Frame **frames);
void stopAnimation(Entity *entity);


//Animations

extern Frame* const A_heroPreJump[2];
extern Frame* const A_heroJump[2];
extern Frame* const A_heroStand[3];
extern Frame* const A_heroWalk[5];
extern Frame* const A_heroAtack[3];
extern Frame* const A_esqueletoWait[2];
extern Frame* const A_aranaWalk[3];
extern Frame* const A_esqueletoWalk[3];
extern Frame* const A_lava[3];
extern Frame* const A_esqueletoAtack[3];
extern Frame* const A_esqueletoDispara[3];
extern Frame* const A_corazon[3];
extern Frame* const A_platform[2];
extern Frame* const A_mago[2];
extern Frame* const A_brazo[4];
extern Frame* const A_mano[2];
extern Frame* const A_bola[3];
extern Frame* const A_agua[3];
extern Frame* const A_daga[3];
extern Frame* const A_volador[3];
extern Frame* const A_chochona1[2];
extern Frame* const A_chochona2[2];
extern Frame* const A_vapor[4];
extern Frame* const A_corazon_piedra[2];
extern Frame* const A_topo[2];

#endif
