//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _DEFINES_H_
#define _DEFINES_H_

#define TRUE  1
#define FALSE 0

//FX

#define FX_ESPADAZO 	1
#define FX_BOLA_MAGO 	2
#define FX_TERREMOTO 	3
#define FX_GOLPE 		4
#define FX_MUERTE 		5

// Pointer to the video buffer and back buffer
#define SCR_VMEM (u8*)0xC000
#define SCR_BUFF (u8*)0x8000

#define SCR_VMEM_ADDRESS 0x3360
#define SCR_BUFF_ADDRESS 0x2360

//Screen Sizes
#define MIN_X  0
#define MIN_Y  0
#define MAX_X  MIN_X + (20 * 4) - 1
#define MAX_Y  MIN_Y + (16 * 8) - 1

//HUD
#define HUD_W 80
#define HUD_H 64


//Sprites Size
#define FONT_W 3
#define FONT_H 8

//JARLAC
#define MAX_LIVES 5
#define MAX_ENERGY 60
#define MAX_MAGIC  60
#define MAX_HEARTS 13
#define MAX_SCORE 999999

#define HERO_STATE_ON_FLOOR      0
#define HERO_STATE_GOING_LEFT    1
#define HERO_STATE_GOING_RIGHT   2
#define HERO_STATE_FIRING		 3
#define HERO_STATE_PRE_JUMP		 4
#define HERO_STATE_JUMPING_UP    5
#define HERO_STATE_JUMPING_DOWN  6
#define HERO_STATE_POST_JUMP     7
#define HERO_STATE_HIT			 8
#define HERO_STATE_DEAD			 9

#define HERO_W 8
#define HERO_H 32

#define HERO_WALK_SPEED 2
#define HERO_JUMP_STEP	2
#define HERO_JUMP_SPEED HERO_JUMP_STEP * 7
#define HERO_JUMP_X_SPEED 2

//G_plataform

#define PLATFORM_W 6
#define PLATFORM_H 16
#define PLATFORM_X_SPEED 1
#define PLATFORM_Y_SPEED 0

#define PLATFORM_ON_WALL 120

//ENEMIES

#define MAX_ENEMIES 4
#define MAX_BULLETS 2
#define MAX_LAVAS 7

#define ENEMY_NO_BULLET 255
#define BULLET_W 2
#define BULLET_H 5

#define ENEMY_STATE_INACTIVE     0
#define ENEMY_STATE_ACTIVE       1
#define ENEMY_STATE_ATTACK       2
#define ENEMY_STATE_EXPLOSION  	 3

#define ENEMY_TYPE_ARANA 		 42 - 1
#define ENEMY_TYPE_ESQUELETO	 43 - 1
#define ENEMY_TYPE_CORAZON		 44 - 1
#define ENEMY_TYPE_VOLADOR		 45 - 1
#define ENEMY_TYPE_AGUA			 46 - 1
#define ENEMY_TYPE_LAVA			 47 - 1
#define ENEMY_TYPE_CORAZON_PIEDRA 48
#define ENEMY_TYPE_BULLET		 49
#define ENEMY_TYPE_PLATFORM      51 - 1
#define ENEMY_TYPE_MAGO          52 - 1
#define ENEMY_TYPE_BRAZO         53 - 1
#define ENEMY_TYPE_BOLA          54 - 1
#define ENEMY_TYPE_CHOCHONA		 55
#define ENEMY_TYPE_CHOCHONA_FREE 56
#define ENEMY_TYPE_TOPO			 58 - 1 

#define TOPO_W 6
#define TOPO_H 23

#define VAPOR_W 7
#define VAPOR_H 18

#define DESTELLO_W 3
#define DESTELLO_H 21

#define CHOCHONA_W 8
#define CHOCHONA_H 29

#define VOLADOR_W 7			 
#define VOLADOR_H 15
#define VOLADOR_X_SPEED 1
#define VOLADOR_Y_SPEED 2

#define ARANA_W 8
#define ARANA_H 16
#define ARANA_X_SPEED 1

#define ESQUELETO_W 8
#define ESQUELETO_H 30
#define ESQUELETO_X_SPEED 1

#define LAVA_W 8
#define LAVA_H 8

#define CORAZON_W 4
#define CORAZON_H 10

#define DAGA_W 5
#define DAGA_H 10

#define MAGO_W 8
#define MAGO_H 32
#define MAGO_X_SPEED 0
#define MAGO_Y_SPEED 0

#define BRAZO_W 4
#define BRAZO_H 13

#define BOLA_W 4
#define BOLA_H 9
#define BOLA_X_SPEED 3

//HEARTS

#define HEART_STATE_COLLECTED 0
#define HEART_STATE_STONE 1
#define HEART_STATE_NORMAL 2


//ROOMS

#define MAX_ROOMS 60

#endif
