//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>

#include "../defines.h"
#include "../entities/entities.h"
#include "../entities/types.h"

#ifndef _COLLISION_H_
#define _COLLISION_H_

i8 onPlatform(Entity* entity, Entity *enemy);
u8 onRoof(Entity* entity);
u8 onFloor(Entity* entity);
u8 onSpecialTile(Entity* entity, u8 tileValue);
u8 onWall(Entity* entity, u8 checkFloors);
u8 onPlatformWall(Entity *entity, u8 facingLeft);
u8 nextToHole(Entity* entity);
u8 checkCollision(Entity *enemy, Entity *player);
u8 checkHit(Entity *enemy, Entity *player);


#endif
