//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "types.h"
#include "../video/video.h"
#include "../defines.h"
#include "../sprites/sprites.h"
#include "../text/text.h"
#include "../sound/music.h"
#include "../animation/animation.h"

#ifndef _ENTITIES_H_
#define _ENTITIES_H_

extern const Entity hero;
extern const Entity globalEnemies[MAX_ENEMIES];
extern const Entity globalLavas[MAX_LAVAS];

extern u8 gameOver;
extern u8 pause;
extern u32 score;
extern i8 energy;
extern u8 magic;
extern u8 lives;
extern u8 hearts;
extern Keys keys;
extern u8 room;
extern u8 earthQuake;
extern u8 interruptCounter;
extern u8 interruptPosition;
extern u16 screenAddress;
extern u8 end;
extern u8 inMenu;
extern u8 inMagic;
extern u8 fallDistance;
extern u8 topo;
extern Position enteringPosition;

u8 addEntity(u8 entityType, i16 xPos, i16 yPos, u8 facingLeft, Entity *enemy);

#endif
