//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#ifndef _TYPES_H_
#define _TYPES_H_

#include <cpctelera.h>

typedef struct Keys{

    cpct_keyID up;
    cpct_keyID down;
    cpct_keyID left;
    cpct_keyID right;
    cpct_keyID fire;

} Keys;

typedef struct Frame{

    u8* sprite;
    u8 cycles;
    
} Frame;

typedef struct Animation{

    Frame** frames;
    u8 frame;
    u8 cycles;

} Animation;

typedef struct Position{

	i16 xPos;
	i16 yPos;
	u8 xSpeed;
	u8 ySpeed;
	u8 state;

} Position;

typedef struct Entity{

	u8 type;
	u8 hits;
	u8 checkCollisions;
	i16 xPos;
	i16 yPos;
	u8 width;
	u8 height;
	i16 pxPos;
	i16 pyPos;
	u8 state;
	u8 pstate;
	u8 xSpeed;
	u8 ySpeed;
	u8 finishedAnimation;
	u8 pwidth;
	u8 pheight;
	u8 facingLeft;
	u8 alert;
	u8 bullet;

	Animation animation;

} Entity;

typedef struct Room{

    u8 left;
    u8 right;
    u8 up;
    u8 down;

} Room;

typedef struct Heart{

	u8 room;
	u8 x;
	u8 y;
	u8 state;

} Heart;

#endif
