//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "game.h"

void wait(){

	u16 c;

    if(end) c = 1200;
    else c = 600;

	while(--c){
		cpct_waitVSYNC();
	}
}

void gameover(){

    music = FALSE;
    cpct_akp_stop();

	decompress((u8*)EXO_font, (u8*)NUMBER_ADDRESS);
    forceFrontBuffer(g_scrbuffers);
    clearGameScreen(SCR_VMEM);


    drawText("GAME OVER", MIN_Y + (MAX_Y - MIN_Y) / 2, SCR_VMEM);


    wait();

    cpct_setPalette(G_black_palette, 16);

}

void useMagic(){

  Entity *enemy = globalEnemies;
  
  u8 x = MAX_ENEMIES;
  u8 anyDeath = FALSE;

  while(x--){
 
        if(enemy->type == ENEMY_TYPE_CORAZON_PIEDRA){

           changeHeartState(HEART_STATE_NORMAL);
           setAnimation(enemy, A_corazon);
           enemy->type = ENEMY_TYPE_CORAZON;
           enemy->checkCollisions = TRUE;

           anyDeath = TRUE;

        }
        else if(enemy->state != ENEMY_STATE_INACTIVE && enemy->type != ENEMY_TYPE_CORAZON && enemy->type != ENEMY_TYPE_PLATFORM){

            killEnemy(enemy);

            anyDeath = TRUE;

        }
   
        enemy++;

    }


    if(anyDeath) cpct_akp_SFXPlay(FX_MUERTE, 15, 52, 0, 0, AY_CHANNEL_B);

    magic = 0;
    updateMagic();
 
}

void ending(){

    drawRoom();

    addEntity(ENEMY_TYPE_CORAZON, (8 * 5) - CORAZON_W / 2 + 1, MAX_Y - 62 - CORAZON_H, FALSE, globalEnemies);

    initHero(&hero);

    end++;

}

void game(){

    u8 counter = 0;

    initGame(&hero);

    while(TRUE){

        if(!pause){

         	//Drawing
        	drawEnemies(globalEnemies, TRUE, MAX_ENEMIES);
        	drawEntity(&hero);
        	drawEnemies(globalLavas, TRUE, MAX_LAVAS);

        	while(interruptCounter < 3){};
        	while(interruptPosition != 4){};
        	interruptCounter = 0;
			swapBuffers(g_scrbuffers);

            //Delete elements
			drawEnemies(globalEnemies, FALSE, MAX_ENEMIES);
            deleteEntity(&hero);

            if(!end){

                checkKeyboardGame(&hero);
                
            }
 
            if(inMagic){

              useMagic();
              inMagic = FALSE;

            } 

            //Move elements
            moveHero(&hero);
            moveEnemies(globalEnemies, &hero);


            switch(end){

                case 1:

                    ending();

                break;

                case 2:

                    if(++counter == 60) gameOver = TRUE;

                break;

            }


			if(gameOver){

				gameover();

				return;
			}

        }
        else{

        	checkCommonKeys();
        }

    }
}


void menu(){

    drawMenu();

    while (1){

        checkKeyboardMenu();

    }
}
