//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "init.h"

void initArray(Entity* enemy, u8 max){

    while(max--){

    	enemy->state  = ENEMY_STATE_INACTIVE;
    	enemy->pstate = ENEMY_STATE_INACTIVE;
		enemy->bullet = ENEMY_NO_BULLET;

    	enemy++;

    }

}

void initHero(Entity *hero){

	hero->state      = HERO_STATE_ON_FLOOR;
    hero->xPos       = MIN_X + (MAX_X - MIN_X) / 2 + 2;
    hero->yPos       = MAX_Y - 32 - HERO_H + 3;
    hero->facingLeft = TRUE;

    setAnimation(hero, A_heroStand);
}

void initGame(Entity *hero){

	u8 x = MAX_HEARTS;
	Heart *heart = heartsList;

	initHero(hero);

	hero->pxPos  	 = MIN_X + (MAX_X - MIN_X) / 2 + 2;
	hero->pyPos		 = MAX_Y - 32 - HERO_H + 3;
	hero->width		 = HERO_W;
	hero->height 	 = HERO_H;
	hero->pwidth	 = HERO_W;
	hero->pheight  	 = HERO_H;
	hero->ySpeed	 = HERO_JUMP_SPEED;
	
	room 			= 14;
	earthQuake 		= FALSE;

	gameOver 		= FALSE;
    score 			= 0;
  	lives 			= MAX_LIVES;
  	energy 			= MAX_ENERGY;
  	magic  			= 0;
  	hearts 			= 0;
  	end				= FALSE;
  	inMagic 		= FALSE;
  	inMenu 			= FALSE;
  	topo 			= FALSE;

  	while(x--){

  		heart->state = HEART_STATE_STONE;
  		heart++;
  	}

	drawRoom();

	updateScore();
	updateMagic();
	updateEnergy();
	updateHearts();
	updateLives();

	cpct_setPalette(G_graphics_palette, 16);


}
