//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "game.h"

#define G_HUD_0_W 40
#define G_HUD_0_H 64
#define G_HUD_1_W 40
#define G_HUD_1_H 64

CPCT_ABSOLUTE_LOCATION_AREA(0xC000);

const u8 G_RETROBYTES[1344] = { 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCC, 0xCC, 0x4A, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x8D, 0xC0, 0xCC, 0xCC, 
	0x4A, 0xC0, 0xC5, 0x4A, 0xC5, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x4A, 0xCD, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8F, 0xC0, 0xCF, 0xCF, 
	0x4A, 0xC0, 0xC5, 0x4A, 0xC5, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x8F, 0xCD, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x4E, 0xCF, 0xCF, 
	0x8F, 0xC0, 0xC0, 0x8F, 0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x8F, 0xCD, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x4E, 0xCF, 0xCF, 
	0x8F, 0xC0, 0xC0, 0x8F, 0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0x8F, 0xCD, 0x4A, 0xC0, 0xC4, 0xCE, 0xCD, 0x4A, 0xCD, 0x4E, 0x8F, 0xC4, 
	0x8F, 0xC0, 0xC0, 0xC5, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0x8F, 0xCD, 0x4A, 0xC0, 0xC4, 0x8F, 0xCD, 0x4A, 0xCD, 0x4E, 0x8F, 0xC4, 
	0x8F, 0xC0, 0xC0, 0xC5, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCE, 0xCD, 0x4A, 0xCD, 0xCC, 0x8D, 0xC4, 0x8F, 0xCD, 0xCC, 0x8F, 0xC4, 0x8F, 0xC4, 
	0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x4A, 0xCD, 0xCF, 0x8F, 0xC4, 0x8F, 0xCD, 0xCF, 0x8F, 0xC4, 0x8F, 0xC4, 
	0x8F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x8F, 0xCD, 0x4A, 0xC0, 0xC4, 0x8F, 0xCD, 0xCF, 0xCF, 0x4E, 0x8F, 0xC4, 
	0x8F, 0xC4, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC8, 0xC0, 0xC0, 
	0xC0, 0xC4, 0xCF, 0xCF, 0x8F, 0xCD, 0x4A, 0xC0, 0xC4, 0x8F, 0xCD, 0xCF, 0xCF, 0x4E, 0x8F, 0xC4, 
	0x8F, 0xC5, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8F, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0x8F, 0xCD, 0xCC, 0xCC, 0x4E, 0x8F, 0xCD, 0x4A, 0xCD, 0x4E, 0xCE, 0xCD, 
	0x8F, 0x4D, 0x4A, 0x03, 0x03, 0xCF, 0x4F, 0x4A, 0xC0, 0xC4, 0x4A, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0x8F, 0xCD, 0xCF, 0xCF, 0x4E, 0x8F, 0xCD, 0x4A, 0xCD, 0x4E, 0xCF, 0xCF, 
	0x8F, 0xCF, 0x4A, 0x07, 0x0F, 0xCF, 0x4F, 0x4A, 0xC0, 0xC5, 0x4A, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0xCF, 0x4E, 0xCF, 0xCF, 0x4E, 0x8F, 0xCD, 0x4A, 0xCD, 0x8F, 0xCD, 0xCF, 
	0x4A, 0x8F, 0xC4, 0x25, 0x30, 0x65, 0x4F, 0x4E, 0xCC, 0x4F, 0x4A, 0xC0, 
	0xC0, 0xC4, 0x8F, 0xC4, 0xCF, 0x4E, 0xCF, 0xCF, 0x4E, 0x8F, 0xCD, 0x4A, 0xCD, 0x8F, 0xCD, 0xCF, 
	0x4A, 0x8F, 0xC4, 0x07, 0x0F, 0x47, 0x4F, 0x4F, 0xCF, 0x4F, 0x4A, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC4, 0x25, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x74, 0x98, 0x12, 0x25, 0x30, 0xB8, 0x4A, 0xC0, 0xC4, 0xE8, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC4, 0x75, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x74, 0x89, 0x0F, 0x0F, 0x12, 0xB8, 0x4A, 0xC0, 0xC4, 0xE8, 0xC0, 
	0xC0, 0xC4, 0xCC, 0xCC, 0xEA, 0xCC, 0xEA, 0xCC, 0xEE, 0x74, 0xCC, 0xCC, 0xCC, 0xEA, 0xCC, 0xCC, 
	0xDD, 0x74, 0x89, 0x1A, 0x1A, 0x12, 0xB8, 0xCC, 0xCC, 0xDD, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0x68, 0x98, 0x68, 0x98, 0xEC, 0x74, 0x98, 0x30, 0x30, 0xE8, 0x98, 0x30, 
	0x74, 0x74, 0x89, 0x0F, 0x0F, 0x12, 0xB8, 0x30, 0x30, 0x74, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0x75, 0x98, 0x68, 0x98, 0xEC, 0x74, 0x98, 0x30, 0x30, 0xEC, 0x30, 0x30, 
	0x74, 0x74, 0x90, 0x1A, 0x0F, 0x12, 0xB8, 0x30, 0xBA, 0x64, 0xEA, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0x74, 0x98, 0x68, 0x98, 0xEC, 0x74, 0x98, 0x30, 0x30, 0xEC, 0x30, 0x30, 
	0x74, 0x74, 0x81, 0x0F, 0x0F, 0x12, 0xB8, 0x30, 0x38, 0x30, 0xE8, 0xC0, 
	0xC0, 0xC4, 0x75, 0xC4, 0x74, 0x98, 0xCC, 0x30, 0xEC, 0x74, 0x98, 0xEA, 0xC0, 0xC4, 0x75, 0xC0, 
	0xC0, 0x74, 0x81, 0x0F, 0x0F, 0x12, 0xB8, 0x30, 0x98, 0x75, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x74, 0xC4, 0x74, 0x98, 0x30, 0x30, 0xEC, 0x74, 0x98, 0xE8, 0xC0, 0xC4, 0x74, 0xC0, 
	0xC0, 0x74, 0x90, 0x25, 0x0F, 0x12, 0xB8, 0x30, 0x30, 0x74, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x64, 0x98, 0xEA, 0x90, 0x30, 0x30, 0xEC, 0x74, 0x98, 0xCC, 0xDD, 0xC4, 0x64, 0xCC, 
	0xEA, 0x74, 0x81, 0x0F, 0x0F, 0x12, 0xB8, 0x30, 0xBA, 0x64, 0xEA, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0x68, 0x90, 0x30, 0x30, 0xEC, 0x74, 0x98, 0x30, 0x74, 0xC0, 0x30, 0x30, 
	0xE8, 0x74, 0x81, 0x0F, 0x0F, 0x12, 0xB8, 0x30, 0xBA, 0x30, 0xE8, 0xC0, 
	0xC0, 0xC4, 0x75, 0xC4, 0x75, 0xC0, 0xC0, 0x98, 0xEC, 0x74, 0x98, 0xEA, 0xC0, 0xC0, 0xC0, 0xC4, 
	0x75, 0x64, 0x7D, 0x07, 0x0B, 0x98, 0xB8, 0x75, 0xC0, 0x75, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x74, 0xC4, 0x74, 0xC0, 0xC0, 0x98, 0xEC, 0x74, 0x98, 0xE8, 0xC0, 0xC0, 0xC0, 0xC4, 
	0x74, 0x30, 0x7D, 0x03, 0x03, 0x30, 0xB8, 0x74, 0xC0, 0x74, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x64, 0x98, 0x74, 0xCC, 0xCC, 0x30, 0xEC, 0x74, 0x98, 0xCC, 0xCC, 0xEE, 0xCC, 0x98, 
	0x74, 0x30, 0xCC, 0xCC, 0xCC, 0x30, 0xB8, 0x64, 0xCC, 0x64, 0xEA, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0x74, 0x98, 0x30, 0x30, 0xEC, 0x74, 0x98, 0x30, 0x30, 0xB8, 0x30, 0x30, 
	0x74, 0x64, 0x30, 0x30, 0x30, 0x98, 0xB8, 0x30, 0x30, 0x30, 0xE8, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0xEA, 0x98, 0x30, 0x75, 0xC4, 0x74, 0x98, 0x30, 0x30, 0xB8, 0x30, 0x30, 
	0xEA, 0x90, 0xBA, 0x75, 0x75, 0xDD, 0xDD, 0x75, 0x30, 0x75, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x30, 0x30, 0xE8, 0x98, 0x30, 0x74, 0xC4, 0x74, 0x98, 0x30, 0x30, 0xB8, 0x30, 0x30, 
	0xE8, 0x90, 0xB8, 0x74, 0x74, 0x98, 0xDC, 0x74, 0x30, 0x74, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xCC, 0x8C, 0xC4, 0xCC, 0x48, 0xC4, 0x8C, 0xC4, 0xCC, 0x48, 0xCC, 0x4C, 0x48, 0xCC, 0x48, 0xCC, 
	0xCC, 0x4C, 0xCC, 0x8C, 0xC4, 0x8C, 0xC4, 0xCC, 0x48, 0xC4, 0x8C, 0xC0, 
	0xF3, 0xB3, 0xD1, 0xF3, 0x62, 0xD1, 0xB3, 0xD1, 0xF3, 0x62, 0xF3, 0x73, 0x62, 0xF3, 0x62, 0xF3, 
	0xF3, 0x73, 0xF3, 0xB3, 0xD1, 0xB3, 0xD1, 0xF3, 0x62, 0xD1, 0xB3, 0xC0, 
	0xF3, 0x59, 0x59, 0xA6, 0xA6, 0xF3, 0x59, 0x59, 0xA6, 0xA6, 0xF3, 0x73, 0x73, 0xA6, 0xA6, 0xD1, 
	0xA6, 0xC0, 0xF3, 0x48, 0xF3, 0x59, 0x59, 0xA6, 0xA6, 0xF3, 0x59, 0x48, 
	0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x62, 
	0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x62, 0xC0, 
	0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x62, 0xC0, 
	0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xD1, 0xA6, 0xC0, 
	0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xD1, 0xB3, 0xC0, 
	0xF3, 0x8C, 0xD1, 0xE6, 0x48, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xC0, 0xF3, 0x48, 
	0xF3, 0xB3, 0xD1, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xC0, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xC0, 0xF3, 0x62, 
	0xF3, 0x48, 0xD1, 0xA6, 0xA6, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xA6, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0x26, 0xF3, 0x62, 
	0xF3, 0x62, 0xD1, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0xD1, 
	0xB3, 0xC0, 0xF3, 0x62, 0xF3, 0x73, 0x73, 0xB3, 0xB3, 0x33, 0xF3, 0x62, 
	0xF3, 0x62, 0xD1, 0xB3, 0xB3, 0xD1, 0x8C, 0xD1, 0xE6, 0x48, 0xD1, 0x8C, 0xC0, 0xE6, 0x48, 0xD1, 
	0xB3, 0xC4, 0xF3, 0xA6, 0xD1, 0x8C, 0xD1, 0xB3, 0xB3, 0xC4, 0xA6, 0xC0, 
	0xF3, 0x62, 0xD1, 0xB3, 0xB3, 0xD1, 0xB3, 0xD1, 0xF3, 0x62, 0xD1, 0xB3, 0xC0, 0xF3, 0x62, 0xD1, 
	0xB3, 0xD1, 0xF3, 0xB3, 0xD1, 0xB3, 0xD1, 0xB3, 0xB3, 0xD1, 0xB3, 0xC0};

const u8 EXO_intro[1082] = {
 0x08, 0x11, 0x91, 0x98, 0x18, 0x18, 0x08, 0x00, 0x80, 0x89, 0x88, 0x18, 0x59, 0xd5, 0x5c, 0x3d,
 0x8a, 0x10, 0x08, 0x90, 0x80, 0x91, 0x44, 0x45, 0x1c, 0x01, 0xe9, 0x41, 0x54, 0x31, 0xff, 0x30,
 0x01, 0x40, 0x42, 0x0f, 0x02, 0x03, 0x76, 0x8b, 0x00, 0x58, 0xc5, 0x61, 0x6d, 0x62, 0x7c, 0xb1,
 0x83, 0x58, 0xa8, 0xc4, 0x80, 0x0d, 0x65, 0x5a, 0x01, 0xb1, 0x36, 0xfc, 0x3c, 0x38, 0x34, 0x30,
 0x2c, 0x8c, 0x3b, 0x17, 0x18, 0x57, 0x0c, 0x78, 0x44, 0x02, 0x13, 0xd5, 0x05, 0x60, 0x48, 0x6d,
 0x7e, 0x82, 0x15, 0x34, 0x16, 0xb0, 0xff, 0xba, 0xac, 0x58, 0xa8, 0xfe, 0xb3, 0xa4, 0x02, 0x46,
 0xd6, 0xfd, 0xac, 0xa0, 0x03, 0x69, 0x9c, 0xdc, 0x98, 0xb8, 0x94, 0xed, 0x90, 0x71, 0x02, 0x9c,
 0x7e, 0xcb, 0x2e, 0x08, 0x21, 0xbf, 0x06, 0x7c, 0x04, 0x70, 0x02, 0xec, 0x83, 0x1b, 0x0c, 0xac,
 0xee, 0xe8, 0xa8, 0x96, 0x94, 0x29, 0x40, 0x6f, 0x3b, 0x97, 0xf7, 0x11, 0x05, 0xb6, 0x19, 0x86,
 0xf5, 0xd5, 0xc2, 0x4b, 0x06, 0xa6, 0x9a, 0x8a, 0xb6, 0xee, 0x6a, 0xea, 0xfc, 0xd6, 0xab, 0x4d,
 0x04, 0xb5, 0x57, 0x30, 0x99, 0x47, 0x48, 0xef, 0x23, 0xff, 0x10, 0x07, 0xda, 0x9a, 0x92, 0x61,
 0x10, 0x09, 0x87, 0xdd, 0xf5, 0x08, 0x34, 0x4a, 0x05, 0x0c, 0x4b, 0x7b, 0xb0, 0xf0, 0x4e, 0x18,
 0x06, 0xe5, 0x93, 0xf5, 0xc8, 0xc2, 0x7a, 0xe1, 0x86, 0x75, 0xe5, 0x42, 0x8e, 0x65, 0x55, 0x02,
 0xcb, 0x61, 0x01, 0x9a, 0x92, 0x09, 0x6b, 0xd1, 0x99, 0x4a, 0x4d, 0x6b, 0x92, 0x87, 0xa0, 0x6f,
 0xe5, 0x6d, 0x52, 0x58, 0x88, 0x41, 0x3a, 0x56, 0x3b, 0x5c, 0xa0, 0x4b, 0x36, 0x9c, 0x27, 0x23,
 0x45, 0x85, 0x91, 0x1e, 0x8e, 0xa0, 0x27, 0x87, 0xd2, 0x47, 0x50, 0x4f, 0x89, 0x65, 0xcf, 0x80,
 0x6d, 0x73, 0x52, 0x78, 0xbe, 0xa4, 0xb0, 0x11, 0x53, 0xd2, 0x55, 0xd0, 0x57, 0x00, 0x4b, 0x42,
 0x80, 0xa1, 0x0e, 0x73, 0x06, 0x43, 0xa0, 0xc0, 0x04, 0x08, 0x04, 0x26, 0x64, 0x02, 0xa4, 0x08,
 0x25, 0x0a, 0xa6, 0x9a, 0x16, 0x3c, 0xa7, 0xe0, 0xe1, 0x03, 0x24, 0xcb, 0x84, 0x7e, 0xb6, 0xe1,
 0x49, 0x66, 0xeb, 0xb8, 0xea, 0x04, 0xc0, 0x02, 0x87, 0x75, 0xe3, 0x20, 0xc8, 0x9c, 0x60, 0x91,
 0x03, 0x58, 0x8a, 0xe7, 0xee, 0x63, 0x26, 0x3f, 0x51, 0x2f, 0x57, 0xa2, 0x49, 0x9a, 0x47, 0x9a,
 0x4d, 0xfa, 0x84, 0x2b, 0xed, 0x5d, 0x3d, 0x45, 0x79, 0x4b, 0x9c, 0x8b, 0x5d, 0x36, 0x4d, 0x71,
 0x3b, 0xec, 0x5a, 0x55, 0xb7, 0x4b, 0xa0, 0x9a, 0x80, 0xf2, 0xbd, 0x05, 0x68, 0x60, 0x04, 0xa1,
 0x01, 0x0c, 0x8d, 0x6b, 0xa0, 0x8d, 0x61, 0x57, 0x49, 0x98, 0x57, 0x05, 0x02, 0xba, 0x4b, 0x75,
 0x68, 0x63, 0x88, 0x5b, 0x80, 0x69, 0x23, 0x1d, 0x90, 0x64, 0x8b, 0x41, 0xc1, 0x67, 0x31, 0xec,
 0x97, 0x20, 0x3e, 0xe2, 0xda, 0x7a, 0xa5, 0xa5, 0x62, 0x97, 0x0c, 0x59, 0xa4, 0xa5, 0x6b, 0xc5,
 0x11, 0x39, 0x49, 0x92, 0xf9, 0x15, 0x77, 0x6c, 0x7a, 0x41, 0xc8, 0x71, 0x36, 0x91, 0x6b, 0x71,
 0x5c, 0x22, 0x8f, 0xaf, 0x39, 0xb8, 0x4f, 0x21, 0xcf, 0x96, 0x41, 0xb6, 0xda, 0x66, 0xea, 0x7e,
 0x34, 0x84, 0xe1, 0xd5, 0xd5, 0x6c, 0x8c, 0xb4, 0x66, 0x68, 0x6b, 0x04, 0x6d, 0x61, 0x3c, 0x49,
 0x9c, 0xf9, 0x95, 0x47, 0x6e, 0x1d, 0x6c, 0x63, 0xe6, 0xb6, 0x4b, 0x84, 0x4b, 0x32, 0x45, 0x41,
 0x3f, 0x05, 0x0c, 0xc3, 0x3e, 0x09, 0xea, 0xb5, 0xb7, 0x7c, 0x4b, 0x4b, 0x64, 0x2f, 0x1a, 0xb2,
 0x48, 0x4b, 0x6b, 0x8b, 0x23, 0x72, 0x49, 0x94, 0xf2, 0x2b, 0xee, 0x78, 0x7c, 0x41, 0x64, 0x69,
 0xeb, 0x43, 0x4e, 0x48, 0x84, 0xd4, 0x14, 0xc2, 0x57, 0x1c, 0xdc, 0x6f, 0x82, 0x3c, 0xa9, 0x98,
 0x4e, 0x9a, 0xd0, 0x80, 0xad, 0x00, 0x3b, 0x2f, 0x47, 0x00, 0x3f, 0x2f, 0x47, 0x10, 0xf3, 0xda,
 0x82, 0xa5, 0xa5, 0x6a, 0x97, 0x0c, 0x59, 0xa4, 0xa5, 0x6b, 0xc5, 0x11, 0x39, 0x49, 0x9a, 0xf9,
 0x15, 0x77, 0xcc, 0x82, 0x41, 0x92, 0x33, 0x3b, 0x22, 0x6b, 0x87, 0xb3, 0x44, 0x3e, 0xdf, 0x72,
 0x48, 0x9f, 0x23, 0x5f, 0x4b, 0x43, 0x99, 0x41, 0x61, 0x75, 0x98, 0xf8, 0xe2, 0xd2, 0x8e, 0xc5,
 0x29, 0x8e, 0xd5, 0xbe, 0x0e, 0x04, 0x06, 0x5d, 0x64, 0x79, 0xf0, 0x5b, 0x60, 0x0e, 0x06, 0xd2,
 0x8e, 0xdd, 0xd5, 0x53, 0xa2, 0x75, 0xef, 0x92, 0x49, 0xbc, 0x67, 0x4d, 0x40, 0x98, 0x88, 0x9a,
 0xae, 0x5e, 0xa6, 0x70, 0x44, 0x49, 0x88, 0xd0, 0x35, 0x4b, 0xd5, 0x49, 0x80, 0xe4, 0x4c, 0x76,
 0x92, 0x42, 0xf7, 0x44, 0xb9, 0x98, 0x02, 0x2e, 0x6f, 0x98, 0xe8, 0xee, 0xfb, 0x84, 0x00, 0xe8,
 0xdb, 0x01, 0xfe, 0xee, 0xdb, 0x80, 0xdb, 0x59, 0x8d, 0x74, 0xdb, 0x4b, 0x98, 0xe9, 0xa4, 0x28,
 0x94, 0x4c, 0x3b, 0x4f, 0xa5, 0x03, 0x7d, 0xaa, 0x98, 0x08, 0x52, 0x3d, 0x6d, 0x0e, 0x75, 0x06,
 0xca, 0xd8, 0x6b, 0x84, 0x9f, 0x50, 0x18, 0x18, 0x67, 0x66, 0x7c, 0xc5, 0xdb, 0xe7, 0x22, 0x7a,
 0x01, 0x85, 0x1f, 0x7b, 0x4d, 0x61, 0x42, 0x52, 0x8e, 0xff, 0x14, 0x1f, 0x33, 0x4d, 0xa7, 0xa2,
 0x38, 0x83, 0xd8, 0x61, 0x64, 0xf5, 0x60, 0x56, 0x4b, 0xd6, 0xa6, 0x8b, 0x86, 0xec, 0x68, 0x6e,
 0x4e, 0x4e, 0x47, 0x9e, 0x9c, 0xb5, 0x5e, 0xc2, 0x0e, 0xa6, 0x49, 0xa1, 0x00, 0x68, 0x7d, 0x10,
 0xe1, 0x55, 0x40, 0x49, 0xbd, 0xd4, 0x4b, 0x10, 0x6d, 0x3b, 0x2d, 0x42, 0x12, 0x4f, 0xce, 0x65,
 0x72, 0x7e, 0x18, 0x0e, 0xae, 0x86, 0x4b, 0xc6, 0xb9, 0x38, 0x81, 0x55, 0x2f, 0x53, 0x4b, 0xeb,
 0x61, 0x88, 0x64, 0x4c, 0x06, 0x41, 0x4e, 0xad, 0x10, 0x49, 0x5d, 0x03, 0x7e, 0x3c, 0xd8, 0xe0,
 0x0a, 0xd3, 0x7a, 0x6b, 0x91, 0x49, 0xdf, 0x4d, 0x92, 0x55, 0x87, 0x17, 0x47, 0x63, 0x09, 0x51,
 0x8b, 0x45, 0xb1, 0x4f, 0x84, 0xc5, 0x43, 0x58, 0x4d, 0x9c, 0x04, 0x00, 0x6c, 0x96, 0x93, 0x2d,
 0xf2, 0x2a, 0xd0, 0x4b, 0xc9, 0x27, 0x9f, 0x23, 0x52, 0x82, 0x53, 0xa2, 0x35, 0x20, 0x1a, 0x23,
 0xa6, 0xc1, 0x8b, 0x86, 0x77, 0x65, 0x95, 0xb4, 0x91, 0x6b, 0x30, 0x03, 0x15, 0x05, 0x1b, 0x05,
 0x58, 0x03, 0x36, 0xa7, 0x9e, 0x6d, 0x3c, 0x20, 0xb6, 0x23, 0x21, 0x6b, 0x86, 0x62, 0x02, 0x94,
 0xc5, 0xfb, 0xa2, 0xef, 0xf0, 0xf5, 0xff, 0x03, 0xfc, 0xe3, 0xfd, 0x45, 0x04, 0x5d, 0x02, 0xa8,
 0x67, 0xea, 0xaa, 0x41, 0xf8, 0x71, 0xb1, 0x47, 0x09, 0x75, 0xbb, 0x25, 0x75, 0x29, 0x3a, 0xa4,
 0x3a, 0xa6, 0x41, 0x2d, 0x13, 0xc5, 0x3d, 0x47, 0x04, 0x5f, 0xf6, 0xa3, 0x9f, 0x96, 0x72, 0xda,
 0xdb, 0x77, 0x5d, 0xeb, 0xd0, 0xa3, 0x9b, 0x71, 0x20, 0x42, 0x76, 0x74, 0x0a, 0x26, 0xef, 0x4b,
 0x3a, 0x6b, 0x57, 0x8c, 0xc0, 0xe7, 0xc2, 0x74, 0x5e, 0x9b, 0xc4, 0x03, 0x9c, 0x75, 0x51, 0x7c,
 0x85, 0xde, 0x8b, 0x47, 0x89, 0x94, 0xb3, 0xd6, 0x4b, 0xd8, 0xc1, 0x34, 0x29, 0x14, 0x00, 0xed,
 0x00, 0x8e, 0xa8, 0x59, 0x7e, 0x6f, 0x5d, 0xfa, 0x87, 0x64, 0x47, 0x9a, 0xe9, 0x3e, 0x37, 0x74,
 0x01, 0x4d, 0x14, 0xad, 0x37, 0x49, 0x91, 0x76, 0x7f, 0xf8, 0x04, 0x4f, 0x8a, 0x36, 0xa5, 0x27,
 0x5b, 0xe8, 0xa5, 0xa5, 0xf2, 0x89, 0xb4, 0x41, 0x1a, 0x85, 0x98, 0x63, 0x45, 0x04, 0x14, 0xb1,
 0xba, 0xc5, 0x07, 0xce, 0x12, 0x8a, 0x00, 0xb8, 0x36, 0x76, 0x6b, 0x55, 0xd2, 0x86, 0x9c, 0xa7,
 0xb4, 0x7a, 0x2d, 0x71, 0xf1, 0xe8, 0x39, 0xce, 0x7a, 0x46, 0x65, 0x63, 0x67, 0x5d, 0x80, 0x9b,
 0xd2, 0x25, 0xfc, 0x02, 0xa6, 0x86, 0xe2, 0x15, 0xd2, 0x40, 0xcb, 0x47, 0x1a, 0xde, 0x55, 0x86,
 0x67, 0x09, 0x9a, 0x11, 0xaf, 0x0a, 0x70, 0x2d, 0x00, 0x80
};

const unsigned char G_hud_0[2560] = { 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0x33, 
	0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x71, 0x73, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0xC0, 
	0x73, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x71, 0x62, 0x91, 0xE2, 0xC0, 0xC0, 0xC0, 0x91, 0x62, 0xC0, 0xC0, 0x68, 0xD1, 0x62, 0x73, 
	0x91, 0xE2, 0xE2, 0xC0, 0xD1, 0xC0, 0x73, 0x73, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD5, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xD1, 0x36, 0xE8, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xE2, 0xD4, 0xE0, 0xE2, 0xC0, 0x33, 
	0xE2, 0x73, 0xC0, 0xC0, 0xE2, 0x91, 0x62, 0xC0, 0xB1, 0xE2, 0xC0, 0xC0, 0xC0, 0xD5, 0x3C, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x91, 0xD4, 0xC0, 0x91, 0xF3, 0xC0, 0xC0, 0xE8, 0x71, 0xD1, 0xC0, 0xD0, 0x73, 0xC0, 0xC0, 0x91, 
	0x62, 0x91, 0x62, 0xC0, 0x91, 0x62, 0xC0, 0xC0, 0xF8, 0x73, 0xC0, 0xC0, 0xC0, 0xFF, 0xC0, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xC4, 0xC4, 0xCC, 0xCC, 0xCC, 
	0xB3, 0xD0, 0xC0, 0xD1, 0x91, 0xE2, 0xC0, 0x90, 0x33, 0xB3, 0x62, 0xC0, 0x62, 0x73, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x73, 0x33, 0x33, 0xC0, 0xC0, 0xC0, 0x7C, 0xC0, 0xC0, 0xC0, 0xD5, 0x68, 0xCC, 0x30, 
	0x30, 0x30, 0x30, 0x30, 0x60, 0x30, 0x30, 0x30, 
	0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0x33, 0x33, 0xB3, 0xC0, 0xC0, 0x33, 0x33, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xD1, 0x91, 0xC0, 0xC0, 0x62, 0xC0, 0xC0, 0x94, 0xC0, 0xC0, 0xC0, 0xFF, 0xC4, 0x30, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0x62, 0xC0, 0xC0, 0xD4, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xE8, 0x91, 0xC0, 0xC0, 0x33, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x68, 0x98, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD5, 0xC4, 0x60, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x94, 0xC4, 0x60, 0xC0, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x60, 0x30, 0x60, 0x60, 0xC0, 0x60, 0x30, 0x90, 0x60, 0x60, 0x30, 0xC0, 0x90, 0x90, 0xC0, 0x60, 
	0xC0, 0x60, 0xC0, 0xB3, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xEA, 0x98, 0xC0, 0x85, 0xCC, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0x30, 0x30, 0x60, 0x60, 0xC0, 0x60, 0x30, 0x30, 0x60, 0x30, 0x30, 0x60, 0x60, 0x30, 0x60, 0x60, 
	0xC0, 0x60, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0x68, 0x98, 0xC0, 0x4E, 0xCD, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x24, 0x0C, 0x48, 0x30, 0xC0, 0x60, 0x24, 0x0C, 0x48, 0x24, 0x0C, 0x60, 0x24, 0x0C, 0x60, 0x60, 
	0xC0, 0x60, 0xFF, 0xD1, 0xD5, 0xFF, 0x33, 0xC0, 0xFF, 0xFF, 0xFF, 0xEA, 0x98, 0xC0, 0x4E, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x24, 0x0C, 0x48, 0x30, 0xC0, 0x60, 0x24, 0x0C, 0x48, 0x24, 0x0C, 0x60, 0x24, 0x0C, 0x48, 0x60, 
	0xC0, 0x60, 0x3C, 0xD1, 0x62, 0x33, 0x33, 0x62, 0x3C, 0x3C, 0x3C, 0xC4, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x60, 0xC0, 0xC0, 0x30, 0x60, 0x60, 0x60, 0xC0, 0xC0, 0x60, 0xC0, 0x60, 0x60, 0xC0, 0x48, 0x60, 
	0xC0, 0x60, 0xFF, 0xEA, 0xB3, 0x62, 0xC0, 0xB3, 0xD5, 0xFF, 0xFF, 0xC4, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x60, 0xC0, 0xC0, 0x24, 0x60, 0x60, 0x30, 0x30, 0x60, 0x30, 0x90, 0x60, 0x60, 0x30, 0xC0, 0x30, 
	0x30, 0x60, 0x3C, 0x3C, 0x68, 0xD1, 0x94, 0xC0, 0x62, 0x3C, 0xC0, 0xC8, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x60, 0xC0, 0xC0, 0x24, 0x30, 0xC0, 0x30, 0x30, 0x60, 0x90, 0x30, 0x48, 0x60, 0x30, 0x60, 0x18, 
	0x30, 0xC0, 0xFF, 0xFF, 0xFF, 0xEA, 0xE2, 0xEA, 0xB3, 0xC0, 0xCC, 0xCC, 0xC0, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x30, 0x60, 0x60, 0x60, 0x48, 0x60, 0x24, 0x0C, 0x48, 0x24, 0x24, 0x48, 0x60, 0x0C, 0x60, 0x0C, 
	0x0C, 0x60, 0x3C, 0x3C, 0x3C, 0x3C, 0x94, 0x3C, 0xD1, 0x94, 0xC0, 0xC8, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x30, 0x30, 0x60, 0x60, 0x18, 0x60, 0x24, 0x0C, 0x48, 0x24, 0x24, 0xC0, 0x60, 0x0C, 0x60, 0x84, 
	0x0C, 0x60, 0xFF, 0xEA, 0xC0, 0xC0, 0xD5, 0xFF, 0xEA, 0x62, 0xFF, 0x90, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x24, 0x0C, 0x48, 0x60, 0x84, 0x60, 0x60, 0xC0, 0xC0, 0x60, 0x18, 0xC0, 0x60, 0xC0, 0x60, 0x60, 
	0xC0, 0x60, 0x3C, 0xC4, 0x98, 0xCC, 0x60, 0x3C, 0x68, 0x62, 0x3C, 0xC4, 0x60, 0x85, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x24, 0x0C, 0x48, 0x60, 0x84, 0x60, 0x30, 0x90, 0x60, 0x60, 0x18, 0xC0, 0x30, 0x30, 0x60, 0x30, 
	0x60, 0x60, 0xEA, 0xC8, 0xC0, 0xC0, 0x90, 0xD5, 0xEA, 0xE2, 0xFF, 0x68, 0x30, 0xC0, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0xC0, 0xC0, 0xC0, 0x60, 0xC0, 0x60, 0x60, 0x30, 0x60, 0x60, 0x84, 0x60, 0x18, 0x30, 0x48, 0x18, 
	0x90, 0x48, 0xC4, 0xC5, 0xCF, 0xCF, 0xCA, 0x60, 0xC0, 0x62, 0xC0, 0xEA, 0x71, 0xC0, 0x4B, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x60, 0xC0, 0xC0, 0x48, 0xC0, 0x48, 0x0C, 0x0C, 0x48, 0x48, 0x84, 0x48, 0x8C, 0x0C, 0xC8, 0x8C, 
	0x0C, 0xC8, 0xC8, 0xCD, 0xC0, 0xC0, 0x4F, 0x90, 0xC0, 0x73, 0xC0, 0x68, 0x30, 0xC0, 0x85, 0x87, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0x60, 0xC0, 0x60, 0xC8, 0xC0, 0xC8, 0xCC, 0xCC, 0xC8, 0xC8, 0xC0, 0xC8, 0xC4, 0xCC, 0xC0, 0xC4, 
	0xCC, 0xC0, 0xC8, 0xCA, 0x8C, 0x0C, 0x85, 0x90, 0xC0, 0x73, 0xC0, 0xD5, 0x90, 0xE2, 0xC0, 0x4B, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0x60, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x85, 0x4A, 0x84, 0x24, 0x85, 0x4A, 0x60, 0x73, 0x90, 0x94, 0x90, 0xE2, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x30, 0x30, 0x48, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC4, 0x85, 0xC4, 0x48, 0xC0, 0x0D, 0x4A, 0x60, 0xB3, 0xE2, 0xC0, 0xEA, 0x71, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x18, 0x24, 0xC8, 0xC0, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC4, 0xC4, 0xCC, 0xCC, 
	0xCC, 0xC8, 0xC1, 0x84, 0x9C, 0x34, 0xC8, 0x4A, 0x60, 0x91, 0xE2, 0xC0, 0xBE, 0x90, 0xF3, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x8C, 0x4C, 0xC0, 0xCC, 0x30, 0x30, 0x90, 0x30, 0x30, 0x30, 0x30, 0x60, 0x60, 0x30, 0x30, 0x30, 
	0x30, 0x90, 0xC1, 0xC0, 0x1C, 0x3C, 0x48, 0x4A, 0x60, 0x91, 0x73, 0xC0, 0xD5, 0xEA, 0x30, 0xF3, 
	0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 
	0xC4, 0xC8, 0xC4, 0x30, 0xC0, 0xC0, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC1, 0xFA, 0x94, 0x3C, 0x48, 0xC2, 0x60, 0x91, 0x91, 0xE2, 0xC0, 0xBE, 0xC0, 0x30, 
	0x90, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 
	0xC0, 0xC0, 0x30, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xF0, 0x94, 0x68, 0xC0, 0x4A, 0x60, 0x91, 0xC0, 0x62, 0xC0, 0xD5, 0xBE, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xD4, 0xC2, 0xC0, 0xEA, 0xC2, 0x60, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xD5, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xC0, 0x90, 0x60, 0xC0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0xC0, 0xDC, 0xD8, 0xC1, 0x90, 0xC0, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x30, 0xC0, 0x85, 0xCC, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0x4A, 0xD4, 0xD8, 0xC3, 0xD1, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x30, 0xC0, 0x4E, 0xCD, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x8F, 0xC0, 0xC3, 0xC2, 0x60, 0xC0, 0xC0, 0xC0, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 
	0xD1, 0xF3, 0xF3, 0xD1, 0xF3, 0xF3, 0xF3, 0xE2, 
	0xC0, 0x30, 0xC0, 0x4E, 0x8F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0xC0, 0xC0, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xE2, 0xC0, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0xD1, 
	0x90, 0x60, 0x85, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0xE2, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0x0C, 0x0C, 0x0C, 0x48, 
	0x62, 0x84, 0x48, 0xC0, 0x0C, 0x0C, 0x0C, 0xC0, 
	0xC0, 0xC0, 0x85, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0x4C, 0xCC, 0xCC, 0x48, 
	0x62, 0x4C, 0x8C, 0xC0, 0x4C, 0xCC, 0xCC, 0x48, 
	0xC0, 0xC0, 0x85, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0xC2, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0x4C, 0xCC, 0xCC, 0x48, 
	0xC0, 0x4C, 0x8C, 0xC0, 0x4C, 0xCC, 0xCC, 0x48, 
	0xD1, 0x60, 0x85, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0x0F, 0xC2, 0x71, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xE4, 0x0C, 0xCC, 0xE0, 
	0xC0, 0xE4, 0xD8, 0xC0, 0xE4, 0xCC, 0xCC, 0xD8, 
	0xC0, 0x30, 0xC0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0x0F, 0xC3, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0x0C, 0x52, 0xCC, 0x48, 
	0x84, 0xCC, 0xCC, 0x48, 0x4C, 0x8C, 0x4C, 0x8C, 
	0xC0, 0x30, 0xC0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC0, 0xC0, 0x85, 0x0F, 0x0F, 0x0F, 
	0x0F, 0x0F, 0xC3, 0x4B, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xA1, 0x58, 0xCC, 0xE0, 
	0xD0, 0x8C, 0x4C, 0xE0, 0xE4, 0xC8, 0xC4, 0xD8, 
	0xC0, 0xB2, 0xC0, 0x85, 0x87, 0xC3, 0xC3, 0xC3, 0xC3, 0xC0, 0xCC, 0x4C, 0x60, 0xC1, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x0F, 0xC2, 0x90, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xA4, 0xDA, 0x0C, 0xE0, 
	0xA4, 0x48, 0x84, 0x58, 0xA4, 0x48, 0x0C, 0x58, 
	0xC0, 0x90, 0x60, 0xC0, 0x4B, 0xC3, 0xC3, 0xC3, 0xC2, 0xC4, 0xC0, 0xC0, 0x90, 0xC0, 0xC3, 0xC3, 
	0xC3, 0xC3, 0xC3, 0xC0, 0x30, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xE5, 0xF0, 0x18, 0xE0, 
	0xA4, 0x24, 0x18, 0x58, 0xA4, 0x24, 0x0C, 0xF0, 
	0xC0, 0xD1, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC8, 0x0F, 0x0F, 0x4A, 0x60, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xF0, 0xF0, 0x24, 0xF0, 
	0x30, 0x30, 0x30, 0x24, 0xB0, 0x18, 0x70, 0xE0, 
	0xC0, 0xC0, 0x30, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC4, 0x85, 0xCF, 0xCF, 0x8F, 0x90, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xF0, 0xD0, 0x18, 0xB0, 
	0x30, 0x0C, 0x0C, 0x30, 0xA4, 0x30, 0x70, 0xC0, 
	0xC0, 0xC0, 0xD1, 0x30, 0xC0, 0x90, 0xC0, 0xC0, 0xC4, 0xC4, 0xCD, 0x0F, 0x4F, 0x90, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x90, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0x62, 0xE0, 0xD0, 0x30, 0x30, 
	0x24, 0x03, 0x03, 0x18, 0x30, 0x30, 0x30, 0xE0, 
	0xC0, 0xC0, 0xC0, 0xF3, 0x30, 0x60, 0xC8, 0xCC, 0xC8, 0x4E, 0x8F, 0x0F, 0x0F, 0x4A, 0x30, 0x30, 
	0x30, 0x30, 0x71, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xD0, 0x30, 0x30, 
	0x09, 0xA4, 0x58, 0x12, 0x30, 0x30, 0x30, 0xE0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xF3, 0xD1, 0xF3, 0xF3, 0x62, 0x4F, 0x0F, 0x0F, 0x0F, 0x4A, 0x73, 0xE2, 
	0xE2, 0xF3, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xD0, 0xC0, 0x84, 0xD0, 0x30, 0x30, 
	0x03, 0xA5, 0xDA, 0x06, 0x30, 0x21, 0x30, 0xF0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0xE2, 0xD1, 
	0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xB0, 0xE0, 0x84, 0xD0, 0x30, 0x24, 
	0x06, 0xE5, 0xDA, 0x09, 0x18, 0x21, 0x18, 0x70, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0x62, 0x87, 0x0F, 0x0F, 0x0F, 0x4A, 0x62, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xD0, 0x30, 0x70, 0xC0, 0xD0, 0x30, 0x09, 
	0x4D, 0x58, 0xA4, 0x8E, 0x12, 0x70, 0x12, 0x70, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0xC0, 0xE2, 0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0xE2, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xD0, 0x18, 0x30, 0xE0, 0xB0, 0x24, 0x03, 
	0xDA, 0xC0, 0xC0, 0xA5, 0x06, 0x70, 0x06, 0x70, 
	0x60, 0xC0, 0xC0, 0xC0, 0xD4, 0x68, 0x91, 0x91, 0x62, 0x87, 0x0F, 0x0F, 0x0F, 0xC2, 0x33, 0xD4, 
	0xC0, 0xC0, 0x68, 0xC0, 0xC0, 0xE8, 0x62, 0xC0, 0x91, 0xD0, 0x06, 0x30, 0x70, 0x30, 0x21, 0x09, 
	0xDA, 0xC0, 0xC0, 0xE5, 0x09, 0x70, 0x09, 0x70, 
	0xD1, 0xC0, 0xD4, 0xC0, 0xD0, 0xF9, 0x33, 0x62, 0xE2, 0x87, 0x0F, 0x0F, 0x0F, 0xC2, 0xE2, 0x62, 
	0xD1, 0x94, 0xE8, 0xC0, 0xC0, 0xD1, 0xC0, 0xC0, 0x91, 0xD0, 0x09, 0x18, 0x30, 0x30, 0x03, 0x4F, 
	0xE0, 0x91, 0x62, 0xD0, 0x8B, 0x58, 0x8B, 0x58, 
	0x33, 0xC0, 0xC0, 0xB3, 0xC0, 0xB3, 0xC0, 0x33, 0xD1, 0xC1, 0x0F, 0x0F, 0x4B, 0xD1, 0x91, 0x33, 
	0x62, 0xD0, 0xC0, 0xC0, 0xC0, 0x31, 0x62, 0xC0, 0x91, 0xD0, 0x0B, 0x06, 0x30, 0x24, 0x07, 0xDA, 
	0xC0, 0x33, 0x33, 0xC0, 0xA4, 0x52, 0xA5, 0x52, 
	0x91, 0xE2, 0xC0, 0xD1, 0x91, 0x62, 0xD1, 0xC0, 0x73, 0xC1, 0x0F, 0x0F, 0xC3, 0xD1, 0x62, 0x60, 
	0x91, 0xE2, 0xC0, 0x62, 0x91, 0x62, 0xC0, 0xC0, 0x91, 0xD0, 0x8F, 0x03, 0x18, 0x09, 0x47, 0xE0, 
	0xC0, 0x62, 0x91, 0xC0, 0xE5, 0x52, 0xE5, 0x52, 
	0xC0, 0x33, 0xC0, 0xC0, 0x33, 0xD4, 0xC0, 0xD0, 0x91, 0xE2, 0xC3, 0xC3, 0xC2, 0xB3, 0xC0, 0xD1, 
	0xC0, 0x73, 0xD1, 0x62, 0xD1, 0xC0, 0xC0, 0xC0, 0x91, 0x84, 0xCF, 0x06, 0x06, 0x06, 0xDA, 0xC0, 
	0x91, 0xC0, 0xC0, 0x62, 0xD0, 0x58, 0xD0, 0x58, 
	0xC0, 0x91, 0xB3, 0x33, 0xE2, 0xC0, 0xC0, 0xD4, 0x91, 0xD1, 0xC0, 0xC0, 0xD1, 0x91, 0xC0, 0xC0, 
	0xC0, 0x91, 0x91, 0xC0, 0x33, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xE5, 0x8F, 0x09, 0x07, 0xDA, 0xC0, 
	0x62, 0xC0, 0xC0, 0x91, 0xD0, 0xDA, 0xD0, 0xDA, 
	0xC0, 0x62, 0xD0, 0xE0, 0x91, 0xC0, 0xC0, 0xBC, 0xC0, 0x62, 0xF3, 0x73, 0xE2, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x33, 0x33, 0x33, 0x73, 0xC0, 0xE2, 0xC0, 0x62, 0xD0, 0xCF, 0x5A, 0x47, 0xE0, 0x91, 
	0x62, 0xC0, 0xC0, 0x91, 0xC0, 0x58, 0xC0, 0x58, 
	0xC0, 0xC0, 0xF4, 0xC0, 0x91, 0xC0, 0xC0, 0x68, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xE0, 0xC0, 0x91, 0xF3, 0xC0, 0xC0, 0x91, 0xC0, 0xE5, 0xDA, 0xCF, 0xE0, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xF0, 0xC0, 0xF0, 
	0xC0, 0xC0, 0xBC, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xF8, 0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0xC0, 0x62, 0xD0, 0x8E, 0xDA, 0xC0, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0x84, 0x91, 0x84, 
	0xC0, 0xC0, 0x68, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x7C, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0x58, 0x48, 0x91, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0x91, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x94, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0x84, 0xC0, 0x33, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0x91, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xB3, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xC0, 0x62, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0x33, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0x33, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0};


const unsigned char G_hud_1[2560] = { 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC5, 0x4F, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x85, 0x8F, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xCB, 0xC0, 0xCA, 0xC0, 0xC0, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC1, 0xC0, 0xC0, 0x85, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xCB, 0xC0, 0x4A, 
	0xC0, 0xC0, 0xC0, 0xCA, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xBE, 0xEA, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC2, 0x87, 0xC2, 0xC2, 0x85, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0xC2, 0xC0, 0x87, 
	0xC0, 0xC0, 0xC5, 0x87, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC4, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC0, 0xFF, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC1, 0xC0, 0xC0, 0x4F, 0xC0, 0xC0, 0x85, 0xC0, 0xC0, 0xCB, 0xC0, 0xC0, 0xC1, 
	0x4A, 0x85, 0x4A, 0xC0, 0x0F, 0xC0, 0xC0, 0xC0, 
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x94, 0xEA, 0xC0, 0xC0, 0xC5, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x0F, 0xC0, 0xC0, 0xC0, 0xC5, 0xC2, 0xC0, 0xC0, 0xC0, 
	0x87, 0x4B, 0xC0, 0xC0, 0xC1, 0xCA, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x30, 0xC8, 0xFF, 0xC0, 0xC0, 0xCA, 0xCF, 
	0xC0, 0xC0, 0xC2, 0xC1, 0xC0, 0xC0, 0xC0, 0xC0, 0xCA, 0x85, 0xC0, 0xCB, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC1, 0xC2, 0xC0, 0xC0, 0xC0, 0xC7, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x30, 0x94, 0xC0, 0xC5, 0xC2, 0x4B, 
	0xCA, 0xC0, 0xC0, 0xC0, 0x85, 0x81, 0xC0, 0xC0, 0xC5, 0xC5, 0xC5, 0xC2, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x90, 0xC8, 0xEA, 0xC5, 0xC0, 0x4A, 
	0x87, 0xCA, 0xC0, 0xC0, 0xC0, 0x81, 0xC0, 0xC0, 0x85, 0x85, 0xC1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC0, 0x90, 0x60, 0x68, 0xCB, 0xC0, 0x4A, 
	0xC0, 0x87, 0x0F, 0xC0, 0xC0, 0x43, 0x42, 0xC0, 0xC0, 0x4F, 0x4A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x4A, 0xC0, 0x60, 0xC5, 0xC2, 0x85, 0xC0, 
	0xC0, 0xC0, 0x85, 0x4F, 0xC0, 0x81, 0xC0, 0x4A, 0x4F, 0xCE, 0x8F, 0x9A, 0x4A, 0x60, 0x60, 0xC0, 
	0x30, 0x60, 0x90, 0x60, 0x30, 0xC0, 0x60, 0x60, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x8F, 0xC0, 0x90, 0xC0, 0xC0, 0x85, 0xC0, 
	0xC0, 0x85, 0x4A, 0xC1, 0xCA, 0x81, 0xC0, 0xC0, 0xC0, 0x4F, 0x4A, 0x90, 0x90, 0x30, 0x30, 0x90, 
	0x60, 0x30, 0x90, 0x30, 0x30, 0x90, 0x90, 0x30, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC0, 0x60, 0xD5, 0xFF, 0xC0, 0xD5, 
	0xFF, 0x85, 0xD5, 0xEA, 0x87, 0xD5, 0xFF, 0xFF, 0xC5, 0x85, 0xC0, 0x90, 0x90, 0x0C, 0x18, 0x90, 
	0x0C, 0x18, 0x84, 0x18, 0x0C, 0x90, 0x0C, 0x18, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0x90, 0x60, 0x3C, 0x3C, 0x3C, 
	0x68, 0x4A, 0x29, 0x94, 0xC5, 0x94, 0x3C, 0x68, 0xCB, 0xC5, 0x60, 0x30, 0x90, 0x0C, 0x48, 0x90, 
	0x0C, 0x0C, 0x84, 0x18, 0x0C, 0x90, 0x0C, 0x0C, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0x90, 0x60, 0xFF, 0xFF, 0xFF, 
	0x85, 0xC2, 0xC1, 0xC0, 0x85, 0xD5, 0xFF, 0xEA, 0x4A, 0x85, 0x60, 0x30, 0x90, 0xC0, 0x90, 0x90, 
	0xC0, 0x84, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0x84, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC2, 0x90, 0x90, 0xC0, 0x3C, 0x3C, 
	0x85, 0x81, 0x87, 0x83, 0x69, 0x4A, 0x3C, 0xC5, 0xC2, 0x90, 0x60, 0x60, 0x90, 0x30, 0x30, 0x90, 
	0x90, 0x60, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4A, 0xC0, 0x30, 0x30, 0xD5, 0xEA, 
	0x4B, 0xC0, 0xC1, 0xC0, 0xFF, 0xC2, 0xFF, 0x85, 0xD5, 0x85, 0x30, 0x30, 0xC0, 0x30, 0x30, 0x90, 
	0x90, 0x30, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC2, 0x90, 0x90, 0xC0, 0x3C, 0x85, 
	0xC2, 0x3C, 0x81, 0x94, 0x3C, 0x87, 0xC0, 0xCB, 0x94, 0x90, 0x18, 0x18, 0x90, 0x0C, 0x18, 0x90, 
	0x84, 0x18, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4B, 0xC2, 0x90, 0x60, 0xFF, 0xEA, 0xC1, 
	0xD5, 0xEA, 0xC0, 0xC0, 0xD5, 0xC1, 0x85, 0xC2, 0xFF, 0x90, 0x18, 0x18, 0x90, 0x0C, 0x18, 0x90, 
	0x84, 0x48, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4B, 0xC2, 0x90, 0x60, 0x3C, 0x68, 0x4A, 
	0x3C, 0xC4, 0xCC, 0xCC, 0xC8, 0x68, 0x0F, 0x94, 0x3C, 0x90, 0x84, 0x90, 0x90, 0xC0, 0x90, 0x90, 
	0xC0, 0x90, 0xC0, 0x90, 0xC0, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xC3, 0xC0, 0x30, 0xD5, 0xFF, 0xEA, 0x4A, 
	0xEA, 0xC8, 0xC0, 0xC0, 0xC4, 0xD5, 0xC0, 0xFF, 0xFF, 0x90, 0x84, 0x90, 0x90, 0xC0, 0x90, 0x90, 
	0x60, 0x30, 0x90, 0x30, 0x90, 0x90, 0xC0, 0xC0, 
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x4B, 0x4B, 0xC0, 0x30, 0x94, 0xC0, 0x85, 0xC0, 
	0xC4, 0x94, 0x3C, 0x3C, 0x68, 0xC8, 0xC0, 0xC0, 0xC0, 0x90, 0xC0, 0x90, 0x90, 0xC0, 0x90, 0x84, 
	0x90, 0x24, 0x90, 0x60, 0x30, 0x90, 0xC0, 0xC0, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x87, 0xC2, 0xC0, 0x30, 0xD5, 0xC0, 0x85, 0xC0, 
	0xC8, 0x3C, 0xFF, 0xFF, 0xBE, 0xC4, 0xC0, 0xC0, 0xC0, 0x84, 0xC0, 0x84, 0x84, 0xC0, 0x84, 0xC4, 
	0x0C, 0x4C, 0x84, 0x0C, 0x0C, 0x90, 0xC0, 0xC0, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC0, 0x90, 0x60, 0x68, 0xC0, 0x8F, 0xC0, 
	0xC8, 0x2C, 0x1C, 0x0C, 0xFE, 0xEE, 0xC0, 0xC0, 0xC0, 0xC4, 0xC0, 0xC4, 0xC4, 0xC0, 0xC4, 0xC0, 
	0xCC, 0xC8, 0xC4, 0xCC, 0xCC, 0x90, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0x60, 0xEA, 0xC0, 0x4A, 0xC4, 
	0xD5, 0x0C, 0x70, 0x38, 0x5C, 0xEA, 0xC8, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x90, 0x60, 0x90, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x30, 0x94, 0xC0, 0xC5, 0x4A, 0xC4, 
	0xD4, 0xB4, 0x18, 0x3C, 0x74, 0xEA, 0xC8, 0xC0, 0xC8, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x84, 0x60, 0x30, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xF3, 0x60, 0xFF, 0xC0, 0xC5, 0xC2, 0xC4, 
	0xD4, 0x58, 0x3C, 0x2C, 0x5C, 0x6A, 0xC4, 0xCC, 0xC4, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xC8, 0xC8, 0xCC, 0xCC, 0xC0, 0xC4, 0x18, 0x24, 
	0xF3, 0xD1, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xE2, 0x30, 0x94, 0xEF, 0xCF, 0xCB, 0x4A, 0x90, 
	0x95, 0x84, 0x3C, 0x0C, 0x7C, 0x6A, 0x60, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 
	0x30, 0x90, 0x90, 0x30, 0xCC, 0xC0, 0x8C, 0x4C, 
	0x90, 0x60, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x90, 0xC0, 0xFF, 0xCB, 0xC0, 0xC0, 0x4A, 0xC4, 
	0xD4, 0xF0, 0x1C, 0x58, 0x1D, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0x60, 0xC0, 0xC0, 0x30, 0xC8, 0xC4, 0xC8, 
	0x60, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x94, 0xEA, 0xC2, 0xC0, 0xC0, 0xC2, 0xC4, 
	0x95, 0x84, 0xB4, 0xA4, 0xB5, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x64, 0xC0, 0xC0, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0xC0, 0xC0, 0xC0, 0xC1, 0xC0, 0x90, 
	0x95, 0x7A, 0x0C, 0x2C, 0x6A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x90, 0xC8, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x85, 0xC0, 0xC0, 
	0x60, 0x6A, 0xB4, 0x58, 0x6A, 0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x90, 0x60, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0xC0, 0xC0, 
	0xE2, 0x3F, 0x84, 0xB5, 0xC0, 0xEE, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 
	0x30, 0x30, 0x30, 0x30, 0xEA, 0xC0, 0x30, 0xC0, 
	0xF3, 0xF3, 0xF3, 0xC0, 0xC0, 0xF3, 0xF3, 0xF3, 0xC0, 0xD1, 0xF3, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x90, 0x95, 0x6A, 0x6A, 0xD4, 0x98, 0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0x74, 0xC0, 0x30, 0xC0, 
	0xC0, 0xC0, 0xD1, 0xC0, 0xD1, 0xC0, 0xC0, 0xC0, 0xE2, 0xE2, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xE2, 0xC0, 0xC0, 0xD4, 0x34, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xC0, 0x30, 0xC0, 
	0x0C, 0x0C, 0xD1, 0xC0, 0xD1, 0xC0, 0x0C, 0xC0, 0xF3, 0xC0, 0x48, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xD1, 0xD1, 0xC0, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xE8, 0x90, 0x60, 
	0x4C, 0x8C, 0x91, 0xC0, 0x91, 0x84, 0xCC, 0x48, 0xE2, 0x84, 0x8C, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x62, 0xC0, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xE8, 0xC0, 0xC0, 
	0x4C, 0x8C, 0xD1, 0xC0, 0xE2, 0x84, 0xCC, 0x48, 0xC0, 0xE4, 0xCC, 0xE0, 0xD1, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x90, 0xC0, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x6A, 0xC0, 0xC0, 
	0xE4, 0xD8, 0x91, 0xC0, 0x62, 0xD0, 0xCC, 0xE0, 0xC0, 0x4C, 0xCC, 0xD8, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xB2, 0xC0, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xBD, 0x6A, 0x90, 0xE2, 
	0xE4, 0x8C, 0x91, 0xC0, 0x62, 0x4C, 0xCC, 0x8C, 0xD0, 0xCC, 0x4C, 0x52, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x90, 0x60, 0xD4, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0x3F, 0xC0, 0x30, 0xC0, 
	0xE4, 0x8C, 0x91, 0x91, 0xC0, 0xE4, 0x0C, 0xD8, 0xE4, 0x8C, 0x58, 0x58, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x90, 0x60, 0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xBF, 0xBF, 0xC0, 0x90, 0xC0, 
	0xA4, 0x58, 0x91, 0x91, 0xD0, 0x0C, 0xC0, 0x0C, 0xA4, 0x09, 0xDA, 0xDA, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xD1, 0x60, 0xC0, 0xBF, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 
	0x3F, 0x3F, 0x3F, 0x7F, 0x6A, 0xC0, 0x71, 0xC0, 
	0xB0, 0x0C, 0x91, 0x62, 0xD0, 0x18, 0x0C, 0x30, 0x18, 0x06, 0xF0, 0xDA, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x30, 0xC0, 0xD5, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 
	0x3F, 0x3F, 0x3F, 0x3F, 0xC0, 0x90, 0x60, 0xC0, 
	0xA4, 0x70, 0x91, 0x62, 0xB0, 0x30, 0x30, 0x30, 0x30, 0x58, 0xD0, 0xE0, 0x91, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xB2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0xC0, 
	0xB0, 0x58, 0x91, 0xC0, 0xB0, 0x24, 0x0C, 0x18, 0x30, 0xF0, 0xC0, 0xE0, 0x62, 0x91, 0x62, 0xC0, 
	0xC0, 0xC0, 0xC0, 0x90, 0x60, 0xC0, 0xC0, 0xC0, 0xC8, 0xC0, 0xC8, 0xC0, 0xC8, 0xC0, 0xC8, 0xC0, 
	0xC8, 0xC0, 0xC8, 0xC0, 0xC0, 0x30, 0xC0, 0xC0, 
	0xB0, 0x70, 0x91, 0xD0, 0x30, 0x09, 0x03, 0x06, 0x30, 0x58, 0xC0, 0xC0, 0x62, 0x62, 0x91, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xB2, 0xC8, 0xC0, 0xC4, 0x90, 0xC4, 0x90, 0xC4, 0x90, 0xC4, 0x90, 0xC4, 
	0x90, 0xC4, 0x90, 0xC0, 0x30, 0xE2, 0xC0, 0xC0, 
	0xB0, 0x70, 0xC0, 0xD0, 0x30, 0x52, 0x0C, 0xA1, 0x18, 0x70, 0xC0, 0x91, 0x91, 0xC0, 0xC0, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xB2, 0xC8, 0xC8, 0x4A, 0xC8, 0x4A, 0xC8, 0x4A, 0xC8, 0x4A, 0xC8, 
	0x4A, 0xC8, 0x4A, 0x60, 0xF3, 0xC0, 0xC0, 0xC0, 
	0xB0, 0x70, 0xC0, 0xB0, 0x24, 0x52, 0x4F, 0xA1, 0x12, 0x30, 0xE0, 0x33, 0x62, 0xD0, 0xC0, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xE6, 0x60, 0xC2, 0x60, 0xC2, 0x60, 0xC2, 0x60, 0xC2, 0x60, 
	0xC2, 0x60, 0xC2, 0x71, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xB0, 0x30, 0xE0, 0xB0, 0x21, 0x58, 0xCF, 0xA4, 0x06, 0x30, 0x60, 0x91, 0xC0, 0xB0, 0xE0, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC4, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 
	0x90, 0x90, 0x90, 0x90, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xA4, 0x30, 0x70, 0x30, 0x0C, 0x8E, 0xF0, 0x4D, 0x09, 0x18, 0x70, 0xC0, 0xD0, 0x30, 0x70, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x60, 0x4A, 0xE2, 0x4A, 0x60, 0x4A, 0x60, 0x4A, 0x60, 0x4A, 
	0x60, 0x4A, 0x60, 0x4A, 0x60, 0xC0, 0xC0, 0xC0, 
	0xA1, 0x18, 0x30, 0x24, 0x07, 0xE0, 0xC0, 0xD0, 0x0E, 0x06, 0x30, 0xE0, 0xB0, 0x30, 0x58, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0xC2, 0x60, 0xC2, 0x60, 0xC2, 0x60, 0xC2, 0x60, 0xC2, 
	0x60, 0xC2, 0x60, 0xC2, 0x60, 0xC0, 0xC0, 0xC0, 
	0xA4, 0x06, 0x30, 0x21, 0x4D, 0xE0, 0xC0, 0xD0, 0x8F, 0x03, 0x18, 0x70, 0x30, 0x24, 0x52, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 0xD1, 
	0xD1, 0xD1, 0xD1, 0xD1, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xE5, 0x09, 0x18, 0x09, 0xDA, 0xC0, 0x33, 0xC0, 0xE5, 0x03, 0x12, 0x30, 0x30, 0x09, 0x58, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE2, 0xC0, 0xE2, 0xC0, 0xE2, 0xC0, 0xE2, 0xC0, 0xE2, 
	0xC0, 0xE2, 0xC0, 0xE2, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xD0, 0x8E, 0x06, 0x06, 0xF0, 0x91, 0xC0, 0x62, 0xD0, 0x06, 0x06, 0x30, 0x24, 0x06, 0x5A, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xA5, 0x52, 0x47, 0xE0, 0x91, 0xC0, 0x33, 0xD0, 0x8F, 0x09, 0x18, 0x09, 0x07, 0xDA, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x4A, 0xC0, 
	0xC0, 0x85, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xE5, 0x58, 0x58, 0xE0, 0x62, 0xC0, 0x91, 0x62, 0xE5, 0x0B, 0x06, 0x06, 0x47, 0xDA, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xCA, 0xC0, 0x4A, 0xC0, 0xC2, 0xC2, 0xC0, 0xC1, 0xC0, 0x4F, 
	0xC0, 0x4A, 0xC0, 0xC3, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xD0, 0xDA, 0xDA, 0x91, 0x62, 0xC0, 0xC0, 0x62, 0xD0, 0x8B, 0x09, 0x0D, 0x47, 0xE0, 0x91, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0xC0, 0x4A, 0xC0, 0xC1, 0x4A, 0xC0, 0xC5, 0xC5, 0xC3, 
	0xC0, 0xCB, 0xC3, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0x58, 0x48, 0x91, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0xE5, 0x5A, 0x4F, 0xDA, 0xC0, 0x62, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x0F, 0x8F, 0xC0, 0xC0, 0xC2, 0xC0, 0xC5, 0xCB, 0xC0, 
	0x4F, 0xC3, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x91, 0xC0, 0xD0, 0xC0, 0x62, 0xC0, 0xC0, 0xC0, 0x91, 0x62, 0xE5, 0xDA, 0xCF, 0xE0, 0x91, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x85, 0xC0, 0xC1, 0x4A, 0xC5, 0xC0, 0xC0, 0xC5, 0xC2, 0xC0, 
	0xC3, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x91, 0x62, 0x84, 0x91, 0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0x33, 0xD0, 0x8E, 0xDA, 0xC0, 0x62, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xCA, 0xC0, 0xC0, 0xC2, 0x85, 0xCA, 0xC0, 0xCB, 0xC0, 0xC0, 
	0xC1, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x91, 0x91, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0xC0, 0x58, 0x48, 0x91, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC3, 0x4A, 0x85, 0xC0, 0x4A, 0xC0, 0xC0, 
	0xC0, 0xC2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x91, 0xC0, 0x62, 0x62, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0x84, 0xC0, 0x62, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC1, 0xC2, 0x4A, 0x4B, 0xC2, 0xC0, 0xC0, 
	0xC0, 0xC1, 0xC2, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0x33, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x62, 0xC0, 0x91, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC1, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x91, 0x33, 0x62, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0};


void animation(){

	u16 x;
	u8 state = 0;

	cpct_drawSolidBox(cpctm_screenPtr(SCR_BUFF, 62 - BRAZO_W, 102 - MAGO_H + 6), 192, BRAZO_W, BRAZO_H);
	drawClippedSprite(G_brazo2, 62 - BRAZO_W, 102 - MAGO_H + 6, BRAZO_W, BRAZO_H, TRUE);

	for(x=0;x<100;x++){

		cpct_waitVSYNC();

	}

	cpct_drawSolidBox(cpctm_screenPtr(SCR_BUFF, 62 - BRAZO_W, 102 - MAGO_H + 6), 192, BRAZO_W, BRAZO_H);
	drawClippedSprite(G_brazo3, 62 - BRAZO_W, 102 - MAGO_H + 6, BRAZO_W, BRAZO_H, TRUE);

	for(x=0;x<150;x++){

		cpct_waitVSYNC();

	}

	cpct_drawSolidBox(cpctm_screenPtr(SCR_BUFF, 62 - BRAZO_W, 102 - MAGO_H + 6), 192, BRAZO_W, BRAZO_H);
	drawClippedSprite(G_brazo1, 62 - BRAZO_W, 102 - MAGO_H + 6, BRAZO_W, BRAZO_H, TRUE);

	for(x=0;x<100;x++){

		cpct_waitVSYNC();
		
		if(state++ > 6) drawClippedSprite(G_chochona1, 11, 102 - CHOCHONA_H, CHOCHONA_W, CHOCHONA_H, FALSE);
		else{

			cpct_drawSolidBox(cpctm_screenPtr(SCR_BUFF, 11, 102 - CHOCHONA_H), 192, CHOCHONA_W, CHOCHONA_H);
			drawClippedSprite(G_chochona2, 11, 102 - CHOCHONA_H, CHOCHONA_W, CHOCHONA_H, FALSE);
		} 

		if(state == 12) state = 0;

	}
	
	drawClippedSprite(G_chochona1, 11, 102 - CHOCHONA_H, CHOCHONA_W, CHOCHONA_H, FALSE);

	for(x=0;x<600;x++){

		cpct_waitVSYNC();
	}

	esperaUnaTecla();

}


void introLogo(){

	//decompress((u8*)EXO_font, (u8*)NUMBER_ADDRESS);

	//clearGameScreen(SCR_VMEM);
	clearGameScreen(SCR_BUFF);

	cpct_drawSprite(G_RETROBYTES, cpctm_screenPtr(SCR_BUFF, 26, 52), 28, 48);

	//drawText("PRESENTS", 94, SCR_BUFF);

	drawClippedSprite(G_mago, 62, 102 - MAGO_H, MAGO_W, MAGO_H, TRUE);
	drawClippedSprite(G_brazo1, 62 - BRAZO_W, 102 - MAGO_H + 6, BRAZO_W, BRAZO_H, TRUE);
	drawClippedSprite(G_chochona2, 11, 102 - CHOCHONA_H, CHOCHONA_W, CHOCHONA_H, FALSE);

	decompress((u8*)EXO_intro, (u8*)EXOBUFFER_ADDRESS);
	cpct_akp_musicInit(G_JarlacIntro);

	music = TRUE;

	esperaUnaTecla();

	animation();

	cpct_akp_stop();
	music = FALSE;
	cpct_setPalette(G_black_palette, 16);
	hearts = 0;

}


void startup(){

	screenAddress = SCR_BUFF_ADDRESS;
	hearts = 255;

	//Disable firmware
	__asm

		DI
		; Modo 1 de interrupciones
		IM   1

		; Interrupción de inicialización
		LD   A,#0xC3          ; JP #xxxx
		LD   (0x38),A
		LD   HL,#_int_inicial
		LD   (0x39),HL
		EI

		;ld 	hl, #0xC9FB
		;ld 	(0x38), hl

		ld      bc, #0x7F8C + 0 ;mode 0
		out     (c),c

	__endasm;

	cpct_setPalette(G_graphics_palette, 16);
	cpct_setBorder(G_graphics_palette[1]);

	keys.left  = Key_O;
	keys.right = Key_P;
	keys.up    = Key_Q;
	keys.down  = Key_A;
	keys.fire  = Key_Space;
	//keys.pause = Key_Del;
	//keys.abort = Key_Esc;

	cpct_akp_SFXInit(G_FX);

	introLogo();

}

void int_inicial() __naked{

	__asm

	PUSH AF
	; Comprobamos si fue la interrupción del refresco
	LD   A,#0xF5
	IN   A,(#0x00)
	RRA
	JR   NC,sal_int_inicial

	PUSH BC

    ; Indicamos que la próxima pantalla ocupará todo el alto y tendrá un refresco normal
	LD   BC,#0xBC04
	OUT  (C),C
	LD   BC,#0xBD00 + 38
	OUT  (C),C

	LD   BC,#0xBC07
	OUT  (C),C
	LD   BC,#0xBD00 + 36
	OUT  (C),C

    ; Y que todo sea borde, para que no se vea mierda
	LD   BC,#0xBC06
	OUT  (C),C
	LD   BC,#0xBD00 + 0
	OUT  (C),C

	; Iniciamos la cadena de interrupciones
	LD   BC, #_myInt0 ;01
	LD   (0x39),BC

	POP BC

sal_int_inicial:

	POP  AF
	EI
	RET

	__endasm;

}


void clean(){

	cpct_drawSolidBox(cpctm_screenPtr((u8*)0xC780, 0, 0), 192, 64, 4);
	cpct_drawSolidBox(cpctm_screenPtr((u8*)0xC780, 64, 0), 192, 16, 4);

}


CPCT_RELOCATABLE_AREA();

void crtc_set_screen_address() __naked{

	__asm

	LD   BC,#0xBC0C
	OUT  (C),C
	INC  B
	OUT  (C),H
	DEC  B
	INC  C
	OUT  (C),C
	INC  B
	OUT  (C),L
	RET

	__endasm;

}


// Interrupciones -----------------------------------------------------

// Int 0 ----------------------

void myInt0() __naked{

	__asm

	PUSH AF

	LD   A,#0xF5
	IN   A,(#0x00)
	RRA
	JR   NC,sal_int_refresco

	; Estamos en el refresco
	PUSH HL
	PUSH BC
	;PUSH IY

	; Establecemos el puntero a la pantalla de juego (aquí debes modificar el doble buffer)
  	; NOTA Debes hacer un scroll negativo para que la pantalla comience donde quieres ?
  	; las primeras filas te quedarán ocultas en el borde superior.

sm_dir_juego:
	;LD   HL,#0x3360

	LD  HL, (_screenAddress)
	CALL _crtc_set_screen_address

  ; Ahora vamos a ocultar todo lo que estará en la zona superior de la pantalla,
  ; para ello lo más rápido es poner la pantalla en mode 2 y las dos tintas a
  ; negro.

	LD  BC,#0x7F8E
	OUT (C),C
	LD   A,#0x54
	LD   BC,#0x7F00
	OUT  (C),C
	OUT  (C),A
	INC  C
	OUT  (C),C
	OUT  (C),A

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x00

	; Establecemos la próxima interrupción
	LD   HL,#_myInt1
	LD   (0x39),HL

	; Y salimos

	;POP AF
	POP BC
	POP HL

sal_int_refresco:
    POP  AF
	EI
	RET

	__endasm;

}

// Int 1 ----------------------

void myInt1() __naked{

	__asm

	PUSH HL
	PUSH BC
	;PUSH AF

	; Altura de la pantalla de juego 184 pixels
	LD   BC,#0xBC04
	OUT  (C),C
	LD   BC,#0xBD00 + 22
	OUT  (C),C

	; Establecemos que no se producirá el "refresco" para esta pantalla (R7 >= R4)
	LD   BC,#0xBC07
	OUT  (C),C
	LD   BC,#0xBD00 + 23
	OUT  (C),C

	; Indicamos que solo serán visibles 20, el resto será borde. Dependiendo de
	; como centremos en vertical la pantalla del juego esto aumentará o disminuirá
	LD   BC,#0xBC06
	OUT  (C),C
	LD   BC,#0xBD00 + 20
	OUT  (C),C

	; Ahora tenemos que quemar CPU hasta situarnos al final de la última línea que será
	; oculta.

	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop
	;nop

	; Ponemos el Mode 0 del juego
	LD   BC,#0x7F8C
	OUT (C),C

	; Y las tintas a las del juego
	LD   BC,#0x7F00
	OUT  (C),C
	LD   BC,#0x7F00
	OUT  (C),C
	;LD   BC,#0x7F01
	;OUT  (C),C
	;LD   BC,#0x7F4A
	;OUT  (C),C

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x01

	;LD HL, #0x0210
	;call cpct_setPALColour_asm

	; Establecemos la próxima interrupción
	LD   HL,#_myInt2
	LD   (0x39),HL

	;POP AF
	POP BC
	POP HL
	EI
	RET

	__endasm;

}

// Int 2 ----------------------

void myInt2() __naked{

	__asm

	PUSH HL
	PUSH BC
	PUSH AF
	PUSH IY

	; Ahora indicamos donde en memoria estará el marcador

	LD   HL,#0x3280 ;0x3280

	__endasm;

	if(inMenu){

		__asm

		LD   HL,#0x2400 ;0xCA00

		__endasm;

	}

	__asm

	CALL _crtc_set_screen_address

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x02

	;LD HL, #0x0310
	;call cpct_setPALColour_asm

	LD   HL,#_myInt3
	LD   (0x39),HL

	POP IY
	POP AF
	POP BC
	POP HL
	EI
	RET

	__endasm;

}

// Int 3 ----------------------

void myInt3() __naked{

	__asm

	PUSH AF
	PUSH BC
	PUSH DE
	PUSH HL
	PUSH IX
	PUSH IY

	__endasm;

	if(hearts == 255){

	  __asm
 
        LD  BC,#0x7F8E
        OUT (C),C
        LD   A,#0x54
        LD   BC,#0x7F00
        OUT  (C),C
        OUT  (C),A
        INC  C
        OUT  (C),C
        OUT  (C),A
 
    __endasm;
 
    }

    __asm

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x03

	;LD HL, #0x0410
	;call cpct_setPALColour_asm


	__endasm;

	if(music){

		__asm

		call cpct_akp_musicPlay_asm

		__endasm;

	}

	__asm

	LD   HL,#_myInt4
	LD   (0x39),HL


	POP IY
	POP IX
	POP HL
	POP DE
	POP BC
	POP AF

	EI
	RET

	__endasm;

}

// Int 4 ----------------------

void myInt4() __naked{

	__asm

	PUSH AF
	PUSH BC
	PUSH DE
	PUSH HL

	; Establecemos la altura de la pantalla del marcador en 120 pixels
	LD   BC,#0xBC04
	OUT  (C),C
	LD   BC,#0xBD00 + 15
	OUT  (C),C

	; Indicamos que esta vez si se producirá una señal de refresco (R4 > R7)
	LD   BC,#0xBC07
	OUT  (C),C
	LD   BC,#0xBD00 + 13
	OUT  (C),C

	; E indicamos que la altura del marcador será 72 pixels y el resto es borde
	LD   BC,#0xBC06
	OUT  (C),C
	LD   BC,#0xBD00 + 9
	OUT  (C),C

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x04

	;LD HL, #0x0510
	;call cpct_setPALColour_asm

	ld	hl, #_interruptCounter+0
	inc	(hl)

	call cpct_scanKeyboard_if_asm

	LD   HL,#_myInt5
	LD   (0x39),HL

	POP HL
	POP DE
	POP BC
	POP AF

	EI
	RET
	__endasm;

}

// Int 5 ----------------------

void myInt5() __naked{

	__asm

	;PUSH AF
	;PUSH BC
	;PUSH DE
	PUSH HL

	ld	hl,#_interruptPosition + 0
	ld	(hl), #0x05

	;LD HL, #0x0610
	;call cpct_setPALColour_asm

	LD   HL,#_myInt0
	LD   (0x39),HL

	POP HL
	;POP DE
	;POP BC
	;POP AF

	EI
	RET
	__endasm;

}

void init(){

	u8 x;

	startup();

	//MARCADOR

	cpct_drawSprite(G_hud_0, cpctm_screenPtr(SCR_BUFF, 0, 0), G_HUD_0_W, G_HUD_0_H);
  	cpct_drawSprite(G_hud_1, cpctm_screenPtr(SCR_BUFF, G_HUD_0_W, 0), G_HUD_1_W, G_HUD_1_H);
	
	clean();
   
    for(x=0;x<8;x++){

		cpct_memcpy(cpctm_screenPtr(SCR_VMEM, 0, x + (200 - HUD_H - 8)), cpctm_screenPtr(SCR_BUFF, 0, x), 80 * 8); 
   	
    }

	

}


void main(void) {

	//Cambiamos la pila de sitio
	__asm

		ld	sp, #0x8000

	__endasm;

	init();

	menu();

}
