//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#include "text.h"

u8 strlen(const u8 *str){

    const u8 *s;

    for (s = str; *s; ++s);

    return (s - str);
}

void drawNumber(u16 aNumber, u8 length, u8 xPos, u8 yPos){

	u8 *pvideo = cpct_getScreenPtr(SCR_VMEM, xPos, yPos);

    u8 str[6];
    i8 zeros;
    i8 x = 0;

	while (aNumber > 9) {
		str[x] = aNumber % 10;
		aNumber = aNumber / 10;
		x++;
	}

	str[x] = aNumber;
	zeros = length - x - 1;

	x = zeros;

    while(x){

    	cpct_drawSprite(G_numbers[0], pvideo, FONT_W, FONT_H);
    	pvideo += FONT_W;
    	x--;

    }

    x = length - zeros;

    while(x){
        
        cpct_drawSprite(G_numbers[str[x-1]], pvideo, FONT_W, FONT_H);
        pvideo += FONT_W;
        x--;
    }
    

}

void drawText(u8 text[], u8 yPos, u8* buffer){


    u8* pvideo = cpct_getScreenPtr(buffer, 40 - ((strlen(text) * FONT_W) / 2), yPos);
    u8 character;
    u8 x = 0;
    
    character = text[x];

    while(character){

        //NUMEROS
        if(character >= 48 && character <= 57){

        	cpct_drawSprite(G_number + (character - 48) * FONT_W * FONT_H, pvideo, FONT_W, FONT_H);


        }
        else if(character != 32){ //32 = SPACE
            
            cpct_drawSprite(G_font + (character - 65) *  FONT_W * FONT_H, pvideo, FONT_W, FONT_H);
        }
        
        pvideo += FONT_W;

        character = text[++x];

    } 
    
    
}
