//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "video.h"
#include "../defines.h"
#include "../sprites/sprites.h"
#include "../entities/entities.h"
#include "../entities/types.h"
#include "../text/text.h"
#include "../animation/animation.h"
#include "../exomizer/exomizer.h"
#include "../sprites/tilemaps.h"
#include "../init.h"

#ifndef _DRAW_H_
#define _DRAW_H_

void drawRoom();

//void updateScoreboard();
void updateLives();
void updateEnergy();
void updateMagic();
void updateHearts();
void updateScore();

void drawEntity(Entity* entity);
void deleteEntity(Entity* entity);
void drawEnemies(Entity *enemy, u8 draw, u8 max);

void drawSelector(u8 color, u8 xPos, u8 yPos);
void clearGameScreen(u8* buffer);

#endif
