//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _VIDEO_H_
#define _VIDEO_H_

#include <cpctelera.h>
#include "../defines.h"
#include "../sprites/sprites.h"
#include "../exomizer/exomizer.h"
#include "../game.h"
#include "../sprites/tilemaps.h"
#include "video2.h"

extern const u8 G_graphics_palette[16];
extern const u8 G_black_palette[16];

extern u8* const g_scrbuffers[2];

cpctm_declarePixelFlippingTable(g_flipTable);
cpctm_declareMaskTable(g_transparencyMaskTable);

void drawClippedSprite(u8* sprite, i16 xPos, i16 yPos, u8 width, u8 height, u8 facingLeft);
void eraseClippedSprite(i16 xPos, i16 yPos, u8 width, u8 height);

void forceFrontBuffer(u8** scrbuffers);
void swapBuffers(u8** scrbuffers);

#endif
