//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Jarlac
//  Copyright (C) 2018 Retrobytes Productions
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------


#include "video2.h"

void drawTileBox8x16(i8 txPos, u8 tyPos, u8 tWidth, u8 tHeight, u8* buffer, u8 initEnemies){
 
    u8 x, y, tile;
 
    u8* pvideo;
    u8 facingLeft;
    Entity* myhero = &hero;
 
    facingLeft = myhero->xPos < x * 16;

    for(y=tyPos;y < tyPos + tHeight && y < 8;y++){
 
        for(x=txPos;x < txPos + tWidth && x < 10;x++){
 
            pvideo = cpctm_screenPtr(buffer, 8 * x, 16 * y);
 
            tile = *(G_currentMap + x + (10 * y)) - 1;
 
            switch (tile) {
 
                case ENEMY_TYPE_LAVA:
 
                    tile = 0;
                    if(initEnemies) addEntity(ENEMY_TYPE_LAVA, 8 * x, 16 * y + 8, TRUE, globalLavas);
 
                    break;
 
                case ENEMY_TYPE_AGUA:
 
                    tile = 0;
                    if(initEnemies) addEntity(ENEMY_TYPE_AGUA, 8 * x, 16 * y + 8, TRUE, globalLavas);
 
                    break;
 
                case ENEMY_TYPE_ARANA:
 
                    tile = 21;
                    if(initEnemies) addEntity(ENEMY_TYPE_ARANA, 8 * x, 16 * y - ARANA_H + 3, facingLeft, globalEnemies);
 
                    break;
 
                case ENEMY_TYPE_VOLADOR:
 
                    tile = 1;
                    if(initEnemies) addEntity(ENEMY_TYPE_VOLADOR, 8 * x, 16 * y - ARANA_H + 3, facingLeft, globalEnemies);
 
                    break;
 
                case ENEMY_TYPE_ESQUELETO:
 
                    tile = 23;
                    if(initEnemies) addEntity(ENEMY_TYPE_ESQUELETO, 8 * x, 16 * y - ESQUELETO_H + 3, facingLeft, globalEnemies);
 
                    break;
 
                case ENEMY_TYPE_PLATFORM:
 
                    if(room == 38) tile = 15;
                    else if(room == 59) tile = 0;
                    else tile = 14;
 
                    if(initEnemies) addEntity(ENEMY_TYPE_PLATFORM, 8 * x, 16 * y, TRUE, globalEnemies);
 
                    break;

                case ENEMY_TYPE_TOPO:

                    tile = 14;
                    if(!topo && initEnemies) addEntity(ENEMY_TYPE_TOPO, 8 * x + 1, 16 * y - 5, FALSE, globalEnemies);

                    break;
        }

            cpct_drawSprite(G_tiles + (8 * 16 * tile), pvideo, 8, 16);
 
        }
 
    }
 
}